# Set embed analytics plugins
`PUT https://octopus.livepush.io/streams/{stream_id}/embed/plugins`
Configures third-party analytics integrations for the embedded player.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `putStreamEmbedPlugins`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/set-embed-analytics-plugins/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Request body

`application/json` (required)

- `ga` (string) — Google Analytics measurement ID.
- `motamo` (string) — Matomo instance URL.
- `motamoSiteID` (string) — Matomo site ID.
- `segment` (string) — Segment write key.
- `mixpanel` (string) — Mixpanel project token.
- `kissmetrics` (string) — Kissmetrics API key.
- `intercom` (string) — Intercom workspace ID.


```json
{
  "ga": "G-XXXXXXXXXX",
  "motamo": "string",
  "motamoSiteID": "string",
  "segment": "string",
  "mixpanel": "string",
  "kissmetrics": "string",
  "intercom": "string"
}
```


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/plugins' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "ga": "G-XXXXXXXXXX",
    "motamo": "string",
    "motamoSiteID": "string",
    "segment": "string",
    "mixpanel": "string",
    "kissmetrics": "string",
    "intercom": "string"
  }'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

